const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const menus = sequelize.define(
    'menus',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

label: {
        type: DataTypes.TEXT,

      },

url: {
        type: DataTypes.TEXT,

      },

active_url: {
        type: DataTypes.TEXT,

      },

permission: {
        type: DataTypes.TEXT,

      },

icon: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  menus.associate = (db) => {

    db.menus.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.menus.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return menus;
};

